> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/container-information.md).

# Retrieving Information about your Container

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

### How do I get the logs for my WebViewer Server?

{% hint style="warning" %}
Starting in WebViewer Server 2.4.0 - any references to /usr/local/apache-tomcat is now /home/tomcat

Please see this [migration guide](/web/get-started/faq/2-4-0-migration-guide.md) for more details.
{% endhint %}

These logs are on the container in `/usr/local/apache-tomcat/logs`, you can copy them from the container by finding the ID of the container and then calling copy on the container's log directory.

If you are using *docker-compose*

{% tabs %}
{% tab title="Bash" %}
{% code lineNumbers="true" %}

```bash
docker-compose logs 2>&1 | tee out.log
docker ps ## get container ID
docker cp container_id:/usr/local/apache-tomcat/logs ./mylogs
```

{% endcode %}
{% endtab %}
{% endtabs %}

If you are using only docker

{% tabs %}
{% tab title="Bash" %}
{% code lineNumbers="true" %}

```bash
docker ps ## get container ID
docker logs <container id> 2>&1 | tee out.log
```

{% endcode %}
{% endtab %}
{% endtabs %}

If you are using the Windows installer, the logs are present at `/<install directory>/apache-tomcat/logs`.

### How do I find the version of WebViewer Server?

If you refer to the logs, it should be present there as an entry:

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
INFO: {"PDFNet_version":8.0172545,"num_cpu":8,"os_arch":"amd64","os_name":"Linux","os_version":"5.2.14-arch2-1-ARCH","server_version":"1.4.0","total_memory":481.5}
```

{% endcode %}
{% endtab %}
{% endtabs %}

If you cannot see the start of the logs, you can also go to the demo application on the server at `server-link/demo?s` and select the `Server Info` button to see the version.

### My server crashed, what information is useful?

**On Linux**

* The logs retrieved from docker-compose logs as described above.
* The marker files at `/usr/local/apache-tomcat/internal/Markers/*`

{% tabs %}
{% tab title="Bash" %}
{% code lineNumbers="true" %}

```bash
docker cp <container id> /usr/local/apache-tomcat/internal_data/Markers ./
```

{% endcode %}
{% endtab %}
{% endtabs %}

* `hs_err_pid` files from within the container if available, at the path `/usr/local/apache-tomcat`

{% tabs %}
{% tab title="Bash" %}
{% code lineNumbers="true" %}

```bash
docker cp <container id> /usr/local/apache-tomcat/hs_err_pid* ./
```

{% endcode %}
{% endtab %}
{% endtabs %}

* A way to reproduce the issue if possible

**If your container has shut down, it is possible to start it back up by finding its ID and calling docker start on it. To view shutdown containers and start them, do the following:**

{% tabs %}
{% tab title="Bash" %}
{% code lineNumbers="true" %}

```bash
docker ps -a
docker start <container id>
```

{% endcode %}
{% endtab %}
{% endtabs %}

**On Windows**

* The logs at:

`install_dir/logs/*install_dir/internal/logs/*`

* The marker files at \`install\_dir/internal/Markers/\*
* `hs_err_pid` files from within the container if available, at the path `/usr/local/apache-tomcat`
* A way to reproduce the issue if possible

### Crash Collection on AWS

WebViewer Server as of 1.5.7 supports an automated crash collection system that will make reporting issues to our team easier. To use it, set the following variables in your docker-compose or as environment variables:

* `AWS_ERROR_REPORTING: 'true'`
* `ERROR_REPORTING_S3: 'name of your s3 bucket'`
* `AWS_ACCESS_KEY_ID: 'your access key for AWS with access to s3'`
* `AWS_SECRET_ACCESS_KEY: 'your secret access key for AWS'`
* `AWS_DEFAULT_REGION: 'your aws region'`

After adding the following variables, WebViewer Server will zip crash data and upload it to this external bucket. You can then provide us this zip files to investigate your issue. Even without these variables set, a dump zip file will be created inside of `/usr/local/apache-tomcat/dumps` which you can also provide us.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/container-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
